Bug 8596 - Reports interface date picker doesn't force ISO formatted dates
Summary: Reports interface date picker doesn't force ISO formatted dates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-08 15:11 UTC by Robin Sheat
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8596 - Reports interface date picker doesn't force ISO formatted dates (1.40 KB, patch)
2012-08-14 14:15 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8596 - Reports interface date picker doesn't force ISO formatted dates (1.47 KB, patch)
2012-08-16 17:16 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-08-08 15:11:07 UTC
If you create a report with <<Enter a date|date>>, the resulting date picker interface when running the report doesn't force dates to ISO form, instead they are created using the date format of the system. This is passed to mysql which complains about the format not being right, understandably.
Comment 1 Owen Leonard 2012-08-14 14:15:50 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-08-16 17:16:33 UTC
Created attachment 11645 [details] [review]
[SIGNED-OFF] Bug 8596 - Reports interface date picker doesn't force ISO formatted dates

Datepickers follow Koha's preference for date format, but the
guided reports system doesn't intelligently handle different date
formats. ISO is required. This patch adds some additional
configuration to override the date format.

To test, create a guided or SQL report which takes a date
parameter. The datepicker fields should return an ISO-formatted
date.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Works as advertised.
Comment 3 Ian Walls 2012-08-17 15:06:29 UTC
Adds date formatting according to datepicker's conventions (which do yyyy-mm-dd even though it says yy-mm-dd).

Passed QA.
Comment 4 Paul Poulain 2012-08-29 16:25:56 UTC
QA It would have been better to handle the syspref properly, but I agree it would have required a larger rewrite. And, as we're dealing with reports/sql/..., which is used by a limited number of patrons, I agree it's fair to force iso.

Patch pushed
Comment 5 Chris Cormack 2012-08-29 22:13:20 UTC
Pushed to 3.8.x will be in 3.8.5